package com.openhis.web.check.appservice;

import com.core.common.core.domain.R;
import com.openhis.check.domain.CheckPart;

import javax.servlet.http.HttpServletResponse;

public interface ICheckPartAppService {
    R<?> getCheckPartList();

    R<?> addCheckPart(CheckPart checkPart);

    R<?> removeCheckPart(Integer checkPartId);

    R<?> updateCheckPart(CheckPart checkPart);

    R<?> searchCheckPartList(Integer pageNo, Integer pageSize, String checkType, String name, String packageName);

    R<?> exportCheckPart(String checkType, String name, String packageName, HttpServletResponse response);
}
